package label_relationship

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/label_relationship"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /label_relationship/Batch_update_contact_labels label_relationship BatchUpdateLabelRelationships
//
// Batch Update label relationships information | 批量更新联系人所有 LabelRelationship
//
// Batch Update label relationships information | 批量更新联系人所有 LabelRelationship
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BatchLabelRelationshipsInfo
//
// Responses:
//  200: BaseMsgResp

func BatchUpdateLabelRelationshipsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.BatchLabelRelationshipsInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := label_relationship.NewBatchUpdateLabelRelationshipsLogic(r.Context(), svcCtx)
		resp, err := l.BatchUpdateLabelRelationships(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
